Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Server
Name | ### stop()
Examples |
    // Example by Tom Igoe

    // Bug note: stopping the server produces an unrecoverable error:
    // "java.net.SocketException: Socket closed
    //  at java.net.PlainSocketImpl.socketAccept(Native Method)"

    import processing.net.*;

    int port = 10002;
    boolean myServerRunning;
    Server myServer;

    void setup()
    {
      size(400, 400);
      background(0);
      myServerRunning = false;
      println("Server Running:" + "t" + myServerRunning);
    }

    void draw() {
      // Nothing happening here, everything happens in mousePressed()
    }

    void mousePressed()
    {
      // If the mouse clicked the myServer changes status
      println("click");
      if (myServerRunning) {
        // N.B. This produces an error which kills the applet.
        myServerRunning = false;
        myServer.stop();
        myServer = null;
      }
      else {
        myServer = new Server(this, port); // Starts a server on port 10002
        myServerRunning = true;

      }
      background(0);
      println("Server Status:" + "t" + myServerRunning);
    }
Description | Disconnects all clients and stops the server.
Syntax |
    server.stop()
Parameters |
server | any variable of type Server
Returns | None
Usage | Application

Updated on June 14, 2010 12:05:29pm EDT